OAuth for Direct API Access
Use OAuth authorization to connect custom apps and call We360.ai APIs directly.
Last updated
Was this helpful?
Was this helpful?
POST https://auth.in.we360.ai/realms/ind-prod/protocol/openid-connect/tokencurl --location \
'https://auth.in.we360.ai/realms/ind-prod/protocol/openid-connect/token' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode "client_id=${customer_id}" \
--data-urlencode "username=${email}" \
--data-urlencode "password=${password}" \
--data-urlencode "grant_type=password"{
"access_token": "eyJhbG...8qA1Klw",
"refresh_token": "eyJhbGciOiJIUzI1NiIsInR...x78q-gRk2-lLHV53L0",
"token_type": "Bearer",
"not-before-policy": 0,
"session_state": "bb62faa8-1b33-4d8e-966b-88120e39670a",
"scope": "email offline_access profile"
}POST https://auth.in.we360.ai/realms/ind-prod/protocol/openid-connect/tokencurl --location \
'https://auth.in.we360.ai/realms/ind-prod/protocol/openid-connect/token' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'client_id=${customer_id}' \
--data-urlencode 'refresh_token=${refresh_token}' \
--data-urlencode 'grant_type=refresh_token'{
"access_token": "eyJhbG...8qA1Klw",
"refresh_token": "eyJhbGciOiJIUzI1NiIsInR...x78q-gRk2-lLHV53L0",
"token_type": "Bearer",
"not-before-policy": 0,
"session_state": "bb62faa8-1b33-4d8e-966b-88120e39670a",
"scope": "email offline_access profile"
}Authorization: Bearer ${access_token}curl --location 'https://api.in.we360.ai/v1/some-endpoint' \
--header 'Authorization: Bearer eyJhbG...8qA1Klw' \
--header 'Content-Type: application/json'